Package com.google.protobuf

# Interface MethodOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Method`, `Method.Builder`

public interface MethodOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`Option`
`getOptions(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`int`
`getOptionsCount()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`List<Option>`
`getOptionsList()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`OptionOrBuilder`
`getOptionsOrBuilder(int index)`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`List<? extends OptionOrBuilder>`
`getOptionsOrBuilderList()`
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`
`boolean`
`getRequestStreaming()`
`bool request_streaming = 3 [json_name = "requestStreaming"];`
`String`
`getRequestTypeUrl()`
`string request_type_url = 2 [json_name = "requestTypeUrl"];`
`ByteString`
`getRequestTypeUrlBytes()`
`string request_type_url = 2 [json_name = "requestTypeUrl"];`
`boolean`
`getResponseStreaming()`
`bool response_streaming = 5 [json_name = "responseStreaming"];`
`String`
`getResponseTypeUrl()`
`string response_type_url = 4 [json_name = "responseTypeUrl"];`
`ByteString`
`getResponseTypeUrlBytes()`
`string response_type_url = 4 [json_name = "responseTypeUrl"];`
`Syntax`
`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`int`
`getSyntaxValue()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()
`string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### getRequestTypeUrl

String getRequestTypeUrl()
`string request_type_url = 2 [json_name = "requestTypeUrl"];`

Returns:
  The requestTypeUrl.

### getRequestTypeUrlBytes

ByteString getRequestTypeUrlBytes()
`string request_type_url = 2 [json_name = "requestTypeUrl"];`

Returns:
  The bytes for requestTypeUrl.

### getRequestStreaming

boolean getRequestStreaming()
`bool request_streaming = 3 [json_name = "requestStreaming"];`

Returns:
  The requestStreaming.

### getResponseTypeUrl

String getResponseTypeUrl()
`string response_type_url = 4 [json_name = "responseTypeUrl"];`

Returns:
  The responseTypeUrl.

### getResponseTypeUrlBytes

ByteString getResponseTypeUrlBytes()
`string response_type_url = 4 [json_name = "responseTypeUrl"];`

Returns:
  The bytes for responseTypeUrl.

### getResponseStreaming

boolean getResponseStreaming()
`bool response_streaming = 5 [json_name = "responseStreaming"];`

Returns:
  The responseStreaming.

### getOptionsList

List<Option> getOptionsList()
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### getOptions

Option getOptions(int index)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### getOptionsCount

int getOptionsCount()
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### getOptionsOrBuilderList

List<? extends OptionOrBuilder> getOptionsOrBuilderList()
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### getOptionsOrBuilder

OptionOrBuilder getOptionsOrBuilder(int index)
`repeated .google.protobuf.Option options = 6 [json_name = "options"];`

### getSyntaxValue

int getSyntaxValue()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Returns:
  The enum numeric value on the wire for syntax.

### getSyntax

Syntax getSyntax()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Returns:
  The syntax.